VERSION 5.00
Begin VB.Form fPlotText 
   Caption         =   "PlotText Demo"
   ClientHeight    =   5325
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7380
   LinkTopic       =   "Form1"
   ScaleHeight     =   5325
   ScaleWidth      =   7380
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command4 
      Caption         =   "Clear"
      Height          =   615
      Left            =   5880
      TabIndex        =   4
      Top             =   3240
      Width           =   1335
   End
   Begin VB.CommandButton Command3 
      Caption         =   "PlotText Solid NOT Red"
      Height          =   615
      Left            =   5880
      TabIndex        =   3
      Top             =   2280
      Width           =   1335
   End
   Begin VB.PictureBox Out 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00FFFFFF&
      Height          =   4935
      Left            =   240
      ScaleHeight     =   325
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   365
      TabIndex        =   0
      Top             =   120
      Width           =   5535
   End
   Begin VB.CommandButton Command2 
      Caption         =   "PlotText Solid Red"
      Height          =   615
      Left            =   5880
      TabIndex        =   2
      Top             =   1200
      Width           =   1335
   End
   Begin VB.CommandButton Command1 
      Caption         =   "PlotText XOR Blue"
      Height          =   615
      Left            =   5880
      TabIndex        =   1
      Top             =   120
      Width           =   1335
   End
End
Attribute VB_Name = "fPlotText"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'----------------------------------------------------------------------------------------------------------------------------
'
'   This is a demonstration program for PlotText()
'
'   Rotated Text is drawn with XOR for each click of the command button
'   Alternate clicks erase the previous text, leaving the original picture/drawing unchanged
'   There are also two 'solid' drawing command buttons to show an alternate mode and colours
'
'   by Stephen Redmond steveredmond@sympatico.ca
'
'   November 2004
'
'----------------------------------------------------------------------------------------------------------------------------

Option Explicit

Private m_FilePath As String


Private Sub DemoLoop(vbROP As DrawModeConstants, colour As Long)
    Dim a As Single
    Dim cx As Single, cy As Single
    cx = Out.ScaleWidth \ 2
    cy = Out.ScaleHeight \ 2
    For a = 0 To 359 Step 40
        mPlotText.PlotText Out, cx, cy, a, 24, "    Purr-dy Neat Eh!", vbROP, colour
    Next
    'show the image now - if .AutoRedraw = FALSE you don't need this
    Out.Refresh
End Sub

'This will draw XOR with Blue
Private Sub Command1_Click()
    DemoLoop vbNotXorPen, vbBlue
End Sub

'this will draw solid Red
Private Sub Command2_Click()
    DemoLoop vbCopyPen, vbRed
End Sub

'this will turn Red back to White
Private Sub Command3_Click()
    DemoLoop vbMergeNotPen, vbRed
End Sub

'this clears the drawn text, leaving the background
Private Sub Command4_Click()
    Out.Cls
    Out.Refresh
End Sub

Private Sub Form_Load()
    Dim FilePath As String
    ' Get the directory path
    FilePath = App.Path
    If Right$(m_FilePath, 1) <> "\" Then FilePath = FilePath & "\"
    Out.AutoRedraw = True
    ' Load the picture
    Out.Picture = LoadPicture(FilePath & "cats.jpg")
End Sub

